Mailrelay API Reference

Update a product

PATCH https://{account}/api/v1/ecommerce/stores/{store_id}/products/{id}

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Update a product

Parameters

NameTypeRequiredDescription
store_id integer Yes ID of the store
id integer Yes ID of the record
product_id string No Product
name string No Name
url string No Url
image_url string No Image url
product_variants_attributes array No Product variant

Responses

StatusDescription
200 Success
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
product_id string Product
name string Name
url string Url
image_url string Image url
created_at string Created at
updated_at string Updated at
price integer Price
sale_price integer Sale price
product_variants array